From 78d8fb0750002268cc1eaa0c1faa6a16c6a9d0ab Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Wed, 29 Aug 2012 11:40:18 +0200
Subject: SecureRandom moved to the top-level scope in Rails3

--HG--
extra : source : 5fa7a4ac47cb1aa628913c4797729bb96abbe61b
---
 app/models/mail_handler.rb                     |    2 +-
 app/models/token.rb                            |    2 +-
 app/models/user.rb                             |    2 +-
 lib/chili_project/liquid/liquid_ext/context.rb |    4 ++--
 4 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/app/models/mail_handler.rb b/app/models/mail_handler.rb
index 983be76..2170887 100644
--- a/app/models/mail_handler.rb
+++ b/app/models/mail_handler.rb
@@ -343,7 +343,7 @@ class MailHandler < ActionMailer::Base
       user.lastname = '-' if user.lastname.blank?
 
       user.login = user.mail
-      user.password = ActiveSupport::SecureRandom.hex(5)
+      user.password = SecureRandom.hex(5)
       user.language = Setting.default_language
       user.save ? user : nil
     end
diff --git a/app/models/token.rb b/app/models/token.rb
index 697c8b8..cfdd4d0 100644
--- a/app/models/token.rb
+++ b/app/models/token.rb
@@ -36,7 +36,7 @@ class Token < ActiveRecord::Base
 
 private
   def self.generate_token_value
-    ActiveSupport::SecureRandom.hex(20)
+    SecureRandom.hex(20)
   end
 
   # Removes obsolete tokens (same user and action)
diff --git a/app/models/user.rb b/app/models/user.rb
index 3218cbc..131b5d0 100644
--- a/app/models/user.rb
+++ b/app/models/user.rb
@@ -497,7 +497,7 @@ class User < Principal
 
   # Returns a 128bits random salt as a hex string (32 chars long)
   def self.generate_salt
-    ActiveSupport::SecureRandom.hex(16)
+    SecureRandom.hex(16)
   end
 
 end
diff --git a/lib/chili_project/liquid/liquid_ext/context.rb b/lib/chili_project/liquid/liquid_ext/context.rb
index 4a83a02..d717b31 100644
--- a/lib/chili_project/liquid/liquid_ext/context.rb
+++ b/lib/chili_project/liquid/liquid_ext/context.rb
@@ -35,7 +35,7 @@ module ChiliProject
           def html_result(html)
             key = nil
             while key.nil? || html_results.has_key?(key)
-              random = ActiveSupport::SecureRandom.hex(10)
+              random = SecureRandom.hex(10)
               # This string must be passed untouched through Liquid and textile
               # It mustn't be changed in any way by any rendering stage.
               key = "!!html_results.#{random}!!"
@@ -59,4 +59,4 @@ module ChiliProject
       end
     end
   end
-end
\ No newline at end of file
+end
-- 
1.7.1


